## gnunet 0.6.6b

=== contrib/OSX/Makefile ===
all:
	./build_app

clean:
	-rm -rf GNUnet.app GNUnet.dmg *~

## gnunet 0.8.1b

=== debian/changelog ===
gnunet (0.8.1b-7) experimental; urgency=low

  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Updating to debhelper version 8.
  * Updating to standards version 3.9.2.
  * Switching to source version 3.0 (quilt).
  * Removing pre-squeeze version declarations from build-depends.
  * Updating years in copyright file.
  * Making packaging distribution neutral.
  * Compacting copyright file.
  * Removing leading slash in debhelper install files.
  * Simplyfing autotools handling in rules.
  * Adding Danish debconf translations from Joe Hansen
    <joedalton2@yahoo.dk> (Closes: #633908).
  * Updating po files.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 15 Sep 2011 13:52:08 +0200

gnunet (0.8.1b-6) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Rebuilding against transitioned libesmtp (Closes: #597942).
  * Updating to standards version 3.9.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 24 Sep 2010 18:25:52 +0200

gnunet (0.8.1b-5) unstable; urgency=low

  * Correcting spelling typo in README.Debian (Closes: #586583).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 26 Jun 2010 20:13:27 +0200

gnunet (0.8.1b-4) unstable; urgency=low

  * Stopp calling debconf-updatepo in clean target of rules.
  * Dropping la files.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 03 May 2010 21:06:32 +0200

gnunet (0.8.1b-3) unstable; urgency=medium

  * Adding depends to remote_fs in init script.
  * Rebuilding against libextractor with epoche to ease testing
    migration.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 20 Mar 2010 09:59:41 +0100

gnunet (0.8.1b-2) unstable; urgency=medium

  * Adding patch to disable initscript creation in gnunet-setup (Closes:
    #555107).
  * Adding patch to use correct initscript name for gnunet-server in
    gnunet-setup.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 14 Mar 2010 11:32:57 +0100

gnunet (0.8.1b-1) unstable; urgency=low

  * Merging upstream version 0.8.1b.
  * Updating build-depends, depends, and conflicts on libextractor.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 06 Mar 2010 10:50:09 +0100

gnunet (0.8.1a-1) unstable; urgency=low

  * Updating year in copyright file.
  * Populating gnunetd.conf from upstreams example files.
  * Updating to standards 3.8.4.
  * Merging upstream version 0.8.1a.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 15 Feb 2010 13:11:53 +0100

gnunet (0.8.1-1) unstable; urgency=low

  * Simplifying autotools handling in rules.
  * Setting last-translator for German debconf templates to me, no
    intention do deal with debian-l10n-german in the future anymore.
  * Moving maintainer homepage from control to copyright.
  * Updating README.source.
  * Bumping versioned build-depends on debhelper.
  * Adding Japanese debconf translations from Hideki Yamane
    <henrich@debian.or.jp> (Closes: #558066).
  * Adding explicit source version 1.0 until switch to 3.0.
  * Merging upstream version 0.8.1.
  * Adding libstartup-notification0-dev to build-depends.
  * Adding conflicts against libextractor 0.6 which will be incompatible
    with gnunet 0.8.
  * Updating debhelper files for new upstream version.
  * Not calling tempfile with full path in gnunet-server.postinst.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 29 Dec 2009 18:39:36 +0100

gnunet (0.8.0c-8) unstable; urgency=low

  * Updating to standards version 3.8.3.
  * Correcting spelling mistake in copyright file.
  * Adding maintainer homepage field to control.
  * Marking maintainer homepage field to be also included in binary
    packages and changelog.
  * Adding README.source.
  * Correcting variable assignment in postinst which fails if default
    shell is dash (Closes: #544020, #544032, #544033).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 29 Aug 2009 15:06:12 +0200

gnunet (0.8.0c-7) unstable; urgency=low

  * Excluding chown call on /var/run/gnunetd in postinst, directory is
    handled in the initscript (Closes: #541685).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 15 Aug 2009 21:09:42 +0200

gnunet (0.8.0c-6) unstable; urgency=low

  * Removing optional debconf queries in gnunet-servers postrm to avoid
    (spuriously?) hanging processes on the buildds (Closes: #541400).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 13 Aug 2009 23:51:23 +0200

gnunet (0.8.0c-5) unstable; urgency=low

  * Reworking handling of autostart of gnunet-server.
  * Only listing Christian as main author/contact person in copyright.
  * Denoting debconf question about autostart to medium, which is just
    more accurate.
  * Applying some cosmetics to gnunet-server postinst script.
  * Making sure that we don't get empty answers from debconf for gnunet
    username and groupname.
  * Calling dh_install with fail-missing when building the arch any
    packages.
  * Unifying debconf translation headers.
  * Excluding /var/run/gnunetd from gnunet-server.dirs, it's created by
    the initscript anyway.
  * Using test -f instead of the stronger test -r when checking for
    existence of the default file, just to shut up lintian.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 13 Aug 2009 18:46:40 +0200

gnunet (0.8.0c-4) unstable; urgency=low

  * Removing gnunet-update call in gnunet-server postinst, it's not
    required anymore.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 12 Aug 2009 12:34:42 +0200

gnunet (0.8.0c-3) unstable; urgency=low

  * Removing unneded versions for build-depends.
  * Wrapping build depends.
  * Sorting depends.
  * Updating year in copyright file.
  * Tidy rules file.
  * Setting priority of debconf question about gnunet user account to


=== debian/control ===
Source: gnunet
Section: net
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends:
 debhelper (>= 8), autotools-dev, dialog, gettext, guile-1.8-dev, libadns1-dev,
 libcurl4-gnutls-dev, libesmtp-dev, libextractor-dev, libgcrypt11-dev,
 libglade2-dev, libgmp3-dev, libgtk2.0-dev, libmicrohttpd-dev, libltdl3-dev,
 libmysqlclient-dev, libncursesw5-dev, libsqlite3-dev, libssl-dev,
 libstartup-notification0-dev, libxml2-dev, zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://www.gnunet.org/

Package: gnunet
Architecture: all
Depends: ${misc:Depends}, gnunet-client, gnunet-server, gnunet-tools
Description: secure, trust-based peer-to-peer framework (meta)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package is a metapackage depending on gnunet-client, gnunet-server and
 gnunet-tools.

Package: gnunet-client
Architecture: any
Depends:
 ${misc:Depends}, ${shlibs:Depends}, gnunet-common (= ${binary:Version}),
 gettext
Suggests: gnunet-server, libextractor-plugins
Description: secure, trust-based peer-to-peer framework (client)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package contains the command line client applications, such as
 gnunet-search and gnunet-download. In order use GNUnet, you also need
 gnunet-server either on your server or on your local machine.

Package: gnunet-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libextractor3
Description: secure, trust-based peer-to-peer framework (common)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package contains the common files.

Package: gnunet-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends}, gnunet-client (= ${binary:Version}),
 gnunet-common (= ${binary:Version}), gnunet-dev (= ${binary:Version}),
 gnunet-server (= ${binary:Version}), gnunet-tools (= ${binary:Version})
Description: secure, trust-based peer-to-peer framework (debug)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package contains the debugging symbols.

Package: gnunet-server
Architecture: any
Depends:
 ${misc:Depends}, ${shlibs:Depends}, gnunet-common (= ${binary:Version}),
 adduser, gettext, netbase
Description: secure, trust-based peer-to-peer framework (server)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package contains the server, needed to run a GNUnet node.

Package: gnunet-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends}, gnunet-server (= ${binary:Version}),
 gnunet-client (= ${binary:Version}), gnunet-tools (= ${binary:Version}),
 libextractor-dev (>= 1:0.5), libmicrohttpd-dev (>= 0.4.0a)
Description: secure, trust-based peer-to-peer framework (development)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package contains the development files.

Package: gnunet-tools
Architecture: any
Depends:
 ${misc:Depends}, ${shlibs:Depends}, gnunet-common (= ${binary:Version}),
 gettext
Description: secure, trust-based peer-to-peer framework (tools)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package contains additional tools such as the gnunet-setup graphical tool.

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

%:
	dh ${@} --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath --enable-guile --enable-ipv6 --with-microhttpd=yes

override_dh_auto_test:
	# Disabling test suite, incomplete

override_dh_auto_install:
	dh_auto_install

	# Install configuration
	mkdir -p debian/gnunet-server/etc
	sed -e 's|^LOGFILE =.*|LOGFILE = /var/log/gnunetd/gnunetd.log|' \
	    -e 's|^PIDFILE =.*|PIDFILE = /var/run/gnunetd/gnunetd.pid|' \
	    -e 's|^USER =.*|USER = gnunet|' \
	contrib/gnunetd.conf > debian/gnunet-server/etc/gnunetd.conf

	# Removing useless files
	rm -f debian/tmp/usr/lib/*.la debian/tmp/usr/lib/GNUnet/*.la

override_dh_install:
	dh_install -a --fail-missing

override_dh_strip:
	dh_strip --dbg-package=gnunet-dbg

## gnunet 0.9.2

=== debian/changelog ===
gnunet (0.9.2-2) unstable; urgency=low

  * Build-depends on libextractor (>=1:0.6.3), with an epoch (Closes: #673302).
  * Gnunet-server breaks/replaces gnunet-fuse (<<0.9) as they both contains
    common files (Closes: #673382).
  * gnunet-server breaks/replaces gnunet-client (<<0.9) (Closes: #673801).

 -- Bertrand Marc <beberking@gmail.com>  Wed, 23 May 2012 21:54:32 +0200

gnunet (0.9.2-1) unstable; urgency=low

  * New maintainer (Closes: #660438).
  * New upstream release (Closes: #621645).
  * Remove debian/patches, not necessary any more.
  * Update dependencies, according to README:
    + update minimal versions. 
    + depends on libunistring-dev.
    + depends on libltdl-dev instead of libltdl3-dev.
    + no need to depend on libgtk anymore.
    + gnunet-server suggests miniupnpc.
  * debian/rules:
    + no need to define LOGFILE and PIDFILE.
    + create a minimal conf file.
    + cut gnunet-download-manager.scm extension.
    + remove autogenerated files in clean.
  * Gnunet is now released under the GPL v3.
  * Standards version 3.9.3.
  * Add debian/watch.
  * Adding Italian debconf translations, thanks to Beatrice Torracca
    (Closes: #663432).
  * Move to dh-autoreconf and add extend-diff-ignore in debian/source/options.
  * Remove gnunet-tools since gnunet-setup is not part of gnunet anymore
    (Closes:#651192).
  * gnunet-server.init:
    + several services are now supervised by gnunet-service-arm.
    + define the logfile at run time.
  * Use a secured group gnunetdns for SUID binaries and change permissions
    accordingly, see https://gnunet.org/gnunet-access-control-model
  * gnunet-server.postinst, gnunet-server.postrm: use dpkg-statoverride to set
    and remove setuid permissions.
  * Remove properly the old incompatible /etc/gnunetd.conf, use
    /etc/gnunet.conf instead.
  * Add minimal (generic) man pages when information is available.
  * Remove dpkg options for compression.
  * gnunet-server.docs: add README.mysql and README.postgres.
  * debian/rules: remove template binaries after dh_install.
  * debian/copyright:
    + use copyright format 1.0.
    + mention AUTHORS and translators.
    + use GPL-3+ when possible.
    + add a paragraph for two files distributed under MIT/X11.
  * Use dh_installdocs --link-doc to avoid redundancy.
  * Remove unused debian/gnunet-dev.lintian-overrides.
  * debian/control: add Vcs-git and Vcs-browser fields.
  * gnunet-server.postrm:
    + use debconf to determine which user and group to delete.
    + remove /var/lib/gnunet on purge.
    + remove /etc/default/gnunet-server on purge (Closes: #668766).
  * Make gnunet-dbg dependencies alternatives as it provides debugging
    symbol for all of them.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 06 May 2012 00:28:20 +0200

gnunet (0.8.1b-8) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Feb 2012 08:24:30 +0000

=== debian/control ===
Source: gnunet
Section: net
Priority: optional
Maintainer: Bertrand Marc <beberking@gmail.com>
Build-Depends:
 debhelper (>= 9), po-debconf, gettext, dh-autoreconf, autopoint, autoconf (>=2.59),
 automake (>=1.11.1), libextractor-dev (>=1:0.6.3), libmicrohttpd-dev (>=0.9.18),
 libgcrypt11-dev (>=1.2), libcurl4-gnutls-dev (>=7.21.0),
 libunistring-dev  (>=0.9.2), libltdl-dev (>=2.2), libmysqlclient-dev (>=5.1),
 libsqlite3-dev (>=3.0), libpq-dev (>=8.3), guile-1.8-dev, libglpk-dev (>=4.32)
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/users/bbk-guest/gnunet.git
Vcs-browser: http://git.debian.org/?p=users/bbk-guest/gnunet.git
Homepage: http://www.gnunet.org/

Package: gnunet
Architecture: all
Depends: ${misc:Depends}, gnunet-client, gnunet-server
Description: secure, trust-based peer-to-peer framework (meta)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package is a metapackage depending on gnunet-client, gnunet-server and
 gnunet-tools.

Package: gnunet-client
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends}, ${shlibs:Depends}, gnunet-common (= ${binary:Version}),
 gettext
Suggests: gnunet-server, libextractor-plugins
Description: secure, trust-based peer-to-peer framework (client)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package contains the command line client applications, such as
 gnunet-search and gnunet-download. In order use GNUnet, you also need
 gnunet-server either on your server or on your local machine.

Package: gnunet-common
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: secure, trust-based peer-to-peer framework (common)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package contains the common files.

Package: gnunet-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 gnunet-common (= ${binary:Version}) | gnunet-server (= ${binary:Version}) |
 gnunet-client (= ${binary:Version}), ${misc:Depends}
Description: secure, trust-based peer-to-peer framework (debug)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package contains the debugging symbols.

Package: gnunet-server
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends}, ${shlibs:Depends}, gnunet-common (= ${binary:Version}),
 adduser, gettext, netbase
Suggests: miniupnpc
Breaks: gnunet-fuse (<<0.9), gnunet-client (<<0.9)
Replaces: gnunet-fuse (<<0.9), gnunet-client (<<0.9)
Description: secure, trust-based peer-to-peer framework (server)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package contains the server, needed to run a GNUnet node.

Package: gnunet-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends}, gnunet-server (= ${binary:Version}),
 gnunet-client (= ${binary:Version}),  libextractor-dev (>=0.6.1),
 libmicrohttpd-dev (>=0.9.18)
Description: secure, trust-based peer-to-peer framework (development)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

%:
	dh ${@} --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath --enable-guile --enable-ipv6 --with-microhttpd=yes

override_dh_auto_test:
	# Disabling test suite, incomplete

override_dh_auto_install:
	dh_auto_install
	
	# Create config file
	mkdir -p debian/tmp/etc
	echo "[PATHS]\nSERVICEHOME = /var/lib/gnunet\n" \
		> debian/tmp/etc/gnunet.conf

	# Remove gnunet-download-manager.scm extension to match the manpage name
	mv debian/tmp/usr/bin/gnunet-download-manager.scm \
		debian/tmp/usr/bin/gnunet-download-manager
	
	# Removing useless files
	rm -f debian/tmp/usr/lib/*.la debian/tmp/usr/lib/gnunet/*.la \
		debian/tmp/usr/share/doc/gnunet/COPYING \
		debian/tmp/usr/bin/gnunet-service-template \
		debian/tmp/usr/bin/gnunet-template

override_dh_install:
	dh_install -a --fail-missing

override_dh_installdocs:
	dh_installdocs --link-doc=gnunet-common

override_dh_strip:
	dh_strip --dbg-package=gnunet-dbg

override_dh_auto_clean:
	dh_auto_clean
	rm -rf contrib/gnunet_janitor.py contrib/gnunet_pyexpect.py libltdl/ \
		src/integration-tests/gnunet_pyexpect.py

## gnunet 0.9.3

=== debian/changelog ===
gnunet (0.9.3-7build1) trusty; urgency=low

  * No change rebuild for the glpk transition.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 21 Dec 2013 18:46:41 +0530

gnunet (0.9.3-7) unstable; urgency=low

  * Revert previous changes and go back to 0.9.3-5 to target wheezy.

 -- Bertrand Marc <beberking@gmail.com>  Thu, 28 Feb 2013 09:19:22 +0100

gnunet (0.9.3-6) unstable; urgency=low

  * Fix build on kfreebsd, thanks to Christoph Egger (Closes: #688486).
  * gnunet-server.postinst: check the existence of a binary before changing its
    permissions (Closes: #688484).

 -- Bertrand Marc <beberking@gmail.com>  Sun, 27 Jan 2013 12:55:10 +0100

gnunet (0.9.3-5) unstable; urgency=low

  * Revert previous changes to target wheezy:
    + depend on gettext.
    + drop patch to fix build on kfreebsd.
    + drop patch to change default option UNIX_MATCH_UID.
    + drop patch about libgcrypt version check.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 13 Jan 2013 18:00:29 +0100

gnunet (0.9.3-4) unstable; urgency=low

  [ Bertrand Marc ]
  * Drop dependency on gettext for gnunet-client and gnunet-server as it is not
    necessary, thanks to Ivan Shmakov (Closes: #690860).
  * Revert the use dh_installdocs --link-doc (Closes: #687875, #687881,
    #687883).
  * Fix build on kfreebsd, thanks to Christoph Egger (Closes: #688486).
  * Allways install libnss to /lib and fix FTBFS on ia64 (Closes: #688590).
  * Install libnss to /lib, really fix #688590, thanks to Christian Grothoff.
  * Change default option UNIX_MATCH_UID for services datastore and namestore,
    so users in the gnunet group may use these services (Closes: #686238,
    #684317).
  * Update libgcrypt version check to a less strict check, patch picked from
    upstream, following Werner Koch's advice (Closes: #684997).
  * gnunet-server.postinst: check the existence of a binary before changing its
    permissions (Closes: #688484).
  * Do not set-UID gnunet-helper-fs-publish (Closes: #691154).

  [ David Prévot ]
  * debian/po/fr.po: Fix charset, and use non-breaking spaces.

 -- Bertrand Marc <beberking@gmail.com>  Mon, 22 Oct 2012 22:52:43 +0200

gnunet (0.9.3-3) unstable; urgency=low

  * debian/control: update Vcs-* to the new repository in collab-maint.
  * Install only the generated binaries on Hurd, thanks to Cyril Roelandt
    (Closes: #670794).
  * Use chmod and chown instead of dpkg-statoverride to set special permissions
    and upgrade properly depending on the previous version (Closes: #673301).
  * Fix "gcc-4.6: [sparc] compiler fails to align stack-allocated
    struct, with array of uint32-values to 32-bit boundary":
    new patch sparc_alignment.patch, taken from upstream:
    https://lists.gnu.org/archive/html/gnunet-svn/2012-07/msg00548.html
    Thanks to Jurij Smakov for the analysis.
    (Closes: #670578)
  * Fix the logfile name in gnunet-server.logrotate (Closes: #685856).

 -- Bertrand Marc <beberking@gmail.com>  Sun, 05 Aug 2012 20:13:49 +0200

gnunet (0.9.3-2) unstable; urgency=low

  * Clean properly dpkg-statoverride in gnunet-server.postrm
    (Closes: #678331).

 -- Bertrand Marc <beberking@gmail.com>  Wed, 20 Jun 2012 23:55:11 +0200

gnunet (0.9.3-1) unstable; urgency=low

  * Fix build on GNU Hurd, thanks to Cyril Roelandt (Closes: #670794).
  * Imported Upstream version 0.9.3.
  * Refresh the only patch.
  * Update debian/*.install, links, and rules to match the new tree.
  * Pass hardening build flags to configure.
  * Update debian/rules clean to build twice successfully.
  * Do not install gnunet-helper-transport-wlan-dummy.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 17 Jun 2012 12:22:32 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  libsqlite3-dev (>=3.0), libpq-dev (>=8.3), guile-1.8-dev, libglpk-dev (>=4.32)
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/users/bbk-guest/gnunet.git
-Vcs-browser: http://git.debian.org/?p=users/bbk-guest/gnunet.git
+Vcs-Git: git://git.debian.org/git/collab-maint/gnunet.git
+Vcs-browser: http://git.debian.org/?p=collab-maint/gnunet.git
 Homepage: http://www.gnunet.org/
 
 Package: gnunet

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

%:
	dh ${@} --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath --enable-guile --enable-ipv6 --with-microhttpd=yes $(shell dpkg-buildflags --export=configure)

override_dh_auto_test:
	# Disabling test suite, incomplete

override_dh_auto_install:
	dh_auto_install
	
	# Create config file
	mkdir -p debian/tmp/etc
	echo "[PATHS]\nSERVICEHOME = /var/lib/gnunet\n" \
		> debian/tmp/etc/gnunet.conf

	# Remove gnunet-download-manager.scm extension to match the manpage name
	mv debian/tmp/usr/bin/gnunet-download-manager.scm \
		debian/tmp/usr/bin/gnunet-download-manager
	mv debian/tmp/usr/bin/gnunet-gns-import.sh \
		debian/tmp/usr/bin/gnunet-gns-import
	
	# Removing useless files
	rm -f debian/tmp/usr/lib/*.la debian/tmp/usr/lib/gnunet/*.la \
		debian/tmp/lib/*.la \
		debian/tmp/usr/share/doc/gnunet/COPYING \
		debian/tmp/usr/bin/gnunet-service-template \
		debian/tmp/usr/bin/gnunet-template \
		debian/tmp/usr/bin/gnunet-helper-transport-wlan-dummy

override_dh_install:
	dh_install -a --fail-missing

override_dh_strip:
	dh_strip --dbg-package=gnunet-dbg

override_dh_auto_clean:
	dh_auto_clean
	rm -rf contrib/gnunet_janitor.py contrib/gnunet_pyexpect.py libltdl/ \
		src/integration-tests/*.py

=== debian/watch ===
version=3
ftp://ftp.gnu.org/gnu/gnunet/gnunet-(\d.+).tar.gz

## gnunet 0.9.5a

=== debian/changelog ===
gnunet (0.9.5a-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Fix FTBFS on non-linux architectures (Closes: #740544):
   + remove gnunet-server.install.[kfreebsd,hurd].
   + generate gnunet-server.install.[kfreebsd,hurd] during install and remove
     them during auto_clean.   
   + remove the useless leftovers of vpn, dns and gns stuff on non-linux
     architectures (which are useless as the related libraries are not built).

  [ Hideki Yamane ]
  * Add "Build-Depends: libidn11-dev" to fix FTBFS "error: Libidn not found"
    (Closes: #747782).

  [ Bertrand Marc ]
  * Build-depend on libgnutls28-dev instead of libgnutls-dev (Closes: #753031).

 -- Bertrand Marc <beberking@gmail.com>  Wed, 09 Jul 2014 19:52:24 +0200

gnunet (0.9.5a-3) unstable; urgency=medium

  * debian/rules: copy gnunet.conf from debian/etc/ instead of echo it directly,
    to make debian/rules independent of the shell (Closes: #739298).
  * gnunet-server.postrm: do not fail if the gnunet user is not a system user
    (Closes: #719448).

 -- Bertrand Marc <beberking@gmail.com>  Sat, 22 Feb 2014 11:42:59 +0100

gnunet (0.9.5a-2) unstable; urgency=medium

  * Do not install /usr/share/doc/gnunet/README in gnunet-server
    (Closes: #738600).

 -- Bertrand Marc <beberking@gmail.com>  Tue, 11 Feb 2014 19:50:54 +0100

gnunet (0.9.5a-1) unstable; urgency=medium

  [ Bertrand Marc ]
  * Imported Upstream version 0.9.5a
  * Drop dependency on gettext for gnunet-client and gnunet-server as it is not
    necessary, thanks to Ivan Shmakov.
  * Fix build on kfreebsd, thanks to Christoph Egger.
  * gnunet-server.postinst: check the existence of a binary before changing its
    permissions.
  * Drop patch to configure the nssdir, included upstream.
  * Drop patch to support GNU Hurd, included upstream.
  * Drop patch to fix alignment on Sparc, included upstream.
  * Update debian/*.install.* and debian/*.docs to match the new tree.
  * debian/control: use canonical URI in Vcs-git and Vcs-browser fields.
  * Build depend on gnutls, glib and gtop.
  * debian/rules: add gns nss to configure.
  * debian/copyright: update years.
  * Rewrite gnunet-server.init based on /etc/init.d/skeleton and make
    gnunet-server depend on lsb-base to use LSB logging.
  * Use debhelper v9 and update paths accordingly.
  * Make the binaries aware of paths with the multiarch tuple, patch picked
    upstream.
  * Fix a few typos to make lintian happy.
  * Make uscan check the archive signature:
    + add the upstream key to debian/upstream-signing-key.pgp.
    + add the binary key to debian/source/include-binaries.
    + add pgpsigurlmangle to debian/watch.
  * Remove manpages for services and helpers, they are not in PATH anymore.
  * Remove manpages for binaries which are not built anymore.
  * Generate debian/gnunet-server.init from debian/rules as the path to the
    daemon now depends on $(DEB_HOST_MULTIARCH).
  * Standards version 3.9.5: no changes needed.
  * Add manpages for gnunet-testing-run-service, gnunet-mesh, gnunet-gns-import
    and gnunet-transport-certificate-creation.
  * Links the gnunet-gns-proxy manpage to gnunet-gns-proxy-setup-ca.
  * Make gnunet-server recommend openssl and libnss3-tools, they are used by
    gnunet-gns-proxy-setup-ca and gnunet-transport-certificate-creation.
  * Do not build-depend on guile-1.8-dev anymore and remove --enable-guile from
    configure, GNU Guile is not used at build time. Make gnunet-client depend on
    guile-2.0 as gnunet-download-manager uses it.
  * Do not suggest libextractor-plugins anymore, these were merged into
    libextractor.

  [ Daniel Dehennin ]
  * RDBMS libraries are used only by “gnunet-server” package.
  * Remove obsolete manpage links.

  [ David Barksdale ]
  * Update the default hostlist severs.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 09 Feb 2014 16:24:17 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Build-Depends:
  debhelper (>= 9), po-debconf, gettext, dh-autoreconf, autopoint, autoconf (>=2.59),
  automake (>=1.11.1), libextractor-dev (>=1:0.6.3), libmicrohttpd-dev (>=0.9.18),
- libgcrypt11-dev (>=1.2), libcurl4-gnutls-dev (>=7.21.0),
+ libgcrypt11-dev (>=1.2), libcurl4-gnutls-dev (>=7.21.3), libidn11-dev,
  libunistring-dev  (>=0.9.2), libltdl-dev (>=2.2), libmysqlclient-dev (>=5.1),
- libsqlite3-dev (>=3.0), libpq-dev (>=8.3), guile-1.8-dev, libglpk-dev (>=4.32)
+ libsqlite3-dev (>=3.0), libpq-dev (>=8.3), libglpk-dev (>=4.32),
+ libgnutls28-dev (>=2.12.0), libglib2.0-dev (>=2.6), libgtop2-dev
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/collab-maint/gnunet.git
-Vcs-browser: http://git.debian.org/?p=collab-maint/gnunet.git
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/collab-maint/gnunet.git
+Vcs-browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gnunet.git
 Homepage: http://www.gnunet.org/
 
 Package: gnunet
@@ -30,9 +31,8 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, gnunet-common (= ${binary:Version}),
- gettext
-Suggests: gnunet-server, libextractor-plugins
+ ${misc:Depends}, ${shlibs:Depends}, gnunet-common (= ${binary:Version})
+Suggests: gnunet-server, guile-2.0
 Description: secure, trust-based peer-to-peer framework (client)
  GNUnet is a peer-to-peer framework which focuses on providing security. All
  link-to-link messages in the network are confidential and authenticated. The
@@ -75,7 +75,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends}, ${shlibs:Depends}, gnunet-common (= ${binary:Version}),
- adduser, gettext, netbase
+ adduser, netbase, lsb-base
+Recommends: openssl, libnss3-tools
 Suggests: miniupnpc
 Breaks: gnunet-fuse (<<0.9), gnunet-client (<<0.9)
 Replaces: gnunet-fuse (<<0.9), gnunet-client (<<0.9)

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh ${@} --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath --enable-ipv6 --with-microhttpd=yes --with-nssdir=/lib/$(DEB_HOST_MULTIARCH) $(shell dpkg-buildflags --export=configure)

override_dh_auto_test:
	# Disabling test suite, incomplete

override_dh_auto_install:
	dh_auto_install
	
	# Create config file
	mkdir -p debian/tmp/etc
	cp debian/etc/gnunet.conf debian/tmp/etc/

	# Remove gnunet-download-manager.scm extension to match the manpage name
	mv debian/tmp/usr/bin/gnunet-download-manager.scm \
		debian/tmp/usr/bin/gnunet-download-manager
	mv debian/tmp/usr/bin/gnunet-gns-import.sh \
		debian/tmp/usr/bin/gnunet-gns-import
	
	# Removing useless files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gnunet/*.la \
		debian/tmp/lib/$(DEB_HOST_MULTIARCH)/*.la \
		debian/tmp/usr/share/doc/gnunet/COPYING \
		debian/tmp/usr/bin/gnunet-service-template \
		debian/tmp/usr/bin/gnunet-template \
		debian/tmp/usr/bin/gnunet-helper-transport-wlan-dummy

ifneq ($(DEB_HOST_ARCH_OS),linux)
	# Remove files related to the libraries/tools not built
	find debian/tmp -name '*gnunet*vpn*' -print -delete
	find debian/tmp -name '*gnunet*dns*' -print -delete
	find debian/tmp -name '*gns*' -print -delete
endif

override_dh_install: debian/gnunet-server.init debian/gnunet-server.install.kfreebsd debian/gnunet-server.install.hurd
	dh_install -a --fail-missing

override_dh_strip:
	dh_strip --dbg-package=gnunet-dbg

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/gnunet-server.init
	rm -rf contrib/gnunet_janitor.py contrib/gnunet_pyexpect.py libltdl/ \
		src/integration-tests/*.py
	rm -f debian/gnunet-server.install.kfreebsd debian/gnunet-server.install.hurd

debian/gnunet-server.init: debian/gnunet-server.init.in
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@

debian/gnunet-server.install.kfreebsd debian/gnunet-server.install.hurd: debian/gnunet-server.install
	cat debian/gnunet-server.install \
	  | grep -v gnunet-dns | grep -v gnunetdns \
	  | grep -v gns \
	  | grep -v gnunet-vpn | grep -v gnunetvpn \
	  > $@

## gnunet 0.10.1

=== debian/changelog ===
gnunet (0.10.1-5.1ubuntu1) focal; urgency=medium

  * d/control: request python2 explicitly, this doesn't work with py3
    yet.
  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 14 Feb 2020 19:49:34 -0300

gnunet (0.10.1-5.1build2) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 15 Aug 2019 10:49:52 +0200

gnunet (0.10.1-5.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build-depend on python, to make gnunet-qr usable again.
    (Closes: #906075)

 -- Adrian Bunk <bunk@debian.org>  Sat, 22 Sep 2018 10:42:50 +0300

gnunet (0.10.1-5) unstable; urgency=medium

  * Migrate from a manual "-dbg" package to an automatic generated debug symbol
    package:
    + debian/control: remove gnunet-dbg.
    + debian/rules: use --dbgsym-migration in override_dh_strip.
  * Standards-version: 4.1.1.
  * debian/gnunet.postinst: remove rm_conffile for old config files from before
    oldstable.
  * Use https instead of ftp in debian/watch.
  * Fix more typos in debian/patches/typos.diff.

 -- Bertrand Marc <bmarc@debian.org>  Sun, 22 Oct 2017 11:56:03 +0200

gnunet (0.10.1-4) unstable; urgency=medium

  * Use my @debian.org address for the maintainer field and in debian/copyright.
  * debian/control: fix Vcs-git and Vcs-browser URIs.
  * Build-depend on default-libmysqlclient-dev instead of libmysqlclient-dev
    (Closes: #845850).
  * Add a lintian override for python-script-but-no-python-dep, as a suggests
    relationship is more appropriate.

 -- Bertrand Marc <bmarc@debian.org>  Sat, 10 Dec 2016 11:12:02 +0100

gnunet (0.10.1-3) unstable; urgency=medium

  * Acknowledge NMU. Thanks to Raphael Geissert and Balint Reczey.
  * debian/gnunet.postinst: add quotes to the tr argument to make it work with
    zsh (Closes: #779259).
  * debian/control: update description according to upstream website.
  * Remove old transitional dummy packages gnunet-server, gnunet-client,
    gnunet-common.
  * debian/gnunet.postrm: check binaries existence without full path, the
    POSIX way.
  * Add a patch taken from upstream to fix FTBFS on GNU/Hurd due to a missing
    definition of PATH_MAX (Closes: #805013).
  * Standards-version: 3.9.8, no changes needed.
  * debian/control: use secure uri in Vcs-* fields.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 24 Apr 2016 22:52:41 +0200

gnunet (0.10.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [Raphael Geissert]
  * Fix bashisms (Closes: #772233)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 20 Dec 2014 09:59:13 +0100

gnunet (0.10.1-2) unstable; urgency=medium

  * Put the upstream signing key in debian/upstream/signing-key.asc and remove
    debian/source/include-binaries.
  * debian/control: update homepage as www.gnunet.org does not work anymore.
  * Fix FTBFS on kfreebsd (Closes: #765293). Thanks to Steven Chamberlain for
    testing it.
    + Add a patch to check properly the existence of malloc_np.h.
    + debian/rules: remove the file selection on kfreebsd as all binaries are
      built now.
  * debian/rules: use debhelpers -indep and -arch targets to make sure nothing
    is built unnecessary on an arch-indep build.

 -- Bertrand Marc <beberking@gmail.com>  Wed, 15 Oct 2014 21:44:26 +0200

gnunet (0.10.1-1) unstable; urgency=medium

  * Imported Upstream version 0.10.1 (Closes: #719255, #702101).
  * Remove patches:
    + multiarch_support.diff, included upstream.
    + update-default-hostlist-servers.patch, not needed anymore.
    + typos.patch, included upstream.
    + add_shebang.patch, included upstream.
  * Add patches:
    + from upstream SVN to build against libcurl instead of libgnurl
      (Closes: #758937).
    + to fix the installation directory of GNUnet conversation.
    + to fix a few typos and make lintian happy.
    + from upstream SVN to make sure set-profiler and set-ibf-profiler
      are not installed.
  * debian/control:
    + update build-dependencies and recommends according to README.
    + make gnunet-dev depend on libgcrypt20-dev (>=1.6) as headers include
      gcrypt.h.
    + breaks gnunet-gtk (<<0.10).
    + suggests: python and python-zbar for gnunet-qr.
  * Merge gnunet-server, gnunet-client and gnunet-common into the gnunet binary
    package. The split was unnecessary hard to maintain for too little gain.
  * Remove properly the old config file /etc/default/gnunet-server in
    gnunet.postinst.
  * Add symlinks to libnss_gns* for gnunet-dev in debian/rules.
  * Remove manpages for gns-import, mesh, resolver, testing-run-service and
    transport-certificate-creation, they are included upstream.
  * Add manpages for bcd, nse, qr, scrypt and testbed-profiler.
  * Update gnunet.conf with the new settings from gnunet.org. Replace
    SERVICEHOME with GNUNET_HOME also in gnunet.postinst.
  * Standards-version: 3.9.6, no changes needed.

 -- Bertrand Marc <beberking@gmail.com>  Sat, 04 Oct 2014 12:51:21 +0200

=== debian/control ===
Source: gnunet
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bertrand Marc <bmarc@debian.org>
Build-Depends:
 debhelper (>= 9), po-debconf, gettext, dh-autoreconf, autopoint, autoconf (>=2.59),
 automake (>=1.11.1), libextractor-dev (>=1:0.6.3), libmicrohttpd-dev (>=0.9.33),
 libgcrypt20-dev (>=1.6), libcurl4-gnutls-dev (>=7.35.0), libidn11-dev (>=1.0),
 libunistring-dev  (>=0.9.2), libltdl-dev (>=2.2), default-libmysqlclient-dev,
 libsqlite3-dev (>=3.8), libpq-dev (>=8.3), libglpk-dev (>=4.45),
 libgnutls28-dev (>=3.2.12), libopus-dev (>=1.0.1), libpulse-dev (>=2.0),
 libogg-dev (>=1.3.0), python2
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gnunet.git
Vcs-browser: https://anonscm.debian.org/git/collab-maint/gnunet.git
Homepage: http://gnunet.org/

Package: gnunet
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser, netbase, lsb-base
Recommends: openssl, libnss3-tools
Suggests: miniupnpc, texlive (>=2012), python2, python-zbar
Breaks: gnunet-fuse (<<0.10), gnunet-client (<<0.10), gnunet-server (<<0.10),
 gnunet-common (<<0.10), gnunet-gtk (<<0.10)
Replaces: gnunet-fuse (<<0.10), gnunet-client (<<0.10), gnunet-server (<<0.10),
 gnunet-common (<<0.10)
Description: GNU's framework for secure peer-to-peer networking (meta)
 GNUnet is a framework for secure peer-to-peer networking that does not use any
 centralized or otherwise trusted services. Its high-level goal is to provide a
 strong free software foundation for a global network that provides security
 and in particular respects privacy.
 .
 GNUnet started with an idea for anonymous censorship-resistant file-sharing,
 but has grown to incorporate other applications as well as many generic
 building blocks for secure networking applications. In particular, GNUnet now
 includes the GNU Name System, a privacy-preserving, decentralized public key
 infrastructure.

Package: gnunet-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends}, gnunet (= ${binary:Version}), libextractor-dev (>=1:0.6.3),
 libmicrohttpd-dev (>=0.9.33), libgcrypt20-dev (>=1.6)
Description: GNU's framework for secure peer-to-peer networking (development)
 GNUnet is a framework for secure peer-to-peer networking that does not use any
 centralized or otherwise trusted services. Its high-level goal is to provide a
 strong free software foundation for a global network that provides security
 and in particular respects privacy.
 .
 GNUnet started with an idea for anonymous censorship-resistant file-sharing,
 but has grown to incorporate other applications as well as many generic
 building blocks for secure networking applications. In particular, GNUnet now
 includes the GNU Name System, a privacy-preserving, decentralized public key
 infrastructure.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh ${@} --with autoreconf

override_dh_auto_configure-arch:
	dh_auto_configure -- --disable-rpath --enable-ipv6 --with-microhttpd=yes --with-nssdir=/lib/$(DEB_HOST_MULTIARCH) $(shell dpkg-buildflags --export=configure)

override_dh_auto_configure-indep:

override_dh_auto_build-indep:

override_dh_auto_test:
	# Disabling test suite, incomplete

override_dh_auto_install-arch:
	dh_auto_install
	
	# Create config file
	mkdir -p debian/tmp/etc
	cp debian/etc/gnunet.conf debian/tmp/etc/

	# Remove gnunet-download-manager.scm extension to match the manpage name
	mv debian/tmp/usr/bin/gnunet-download-manager.scm \
		debian/tmp/usr/bin/gnunet-download-manager
	mv debian/tmp/usr/bin/gnunet-gns-import.sh \
		debian/tmp/usr/bin/gnunet-gns-import
	
	# Removing useless files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gnunet/*.la \
		debian/tmp/lib/$(DEB_HOST_MULTIARCH)/*.la \
		debian/tmp/usr/share/doc/gnunet/COPYING \
		debian/tmp/usr/bin/gnunet-service-template \
		debian/tmp/usr/bin/gnunet-template \
		debian/tmp/usr/bin/gnunet-helper-transport-wlan-dummy

override_dh_auto_install-indep:

override_dh_install-arch: debian/gnunet.init
	dh_install -a --fail-missing
	dh_link -pgnunet-dev \
		lib/$(DEB_HOST_MULTIARCH)/libnss_gns.so.2 usr/lib/$(DEB_HOST_MULTIARCH)/libnss_gns.so \
		lib/$(DEB_HOST_MULTIARCH)/libnss_gns4.so.2 usr/lib/$(DEB_HOST_MULTIARCH)/libnss_gns4.so \
		lib/$(DEB_HOST_MULTIARCH)/libnss_gns6.so.2 usr/lib/$(DEB_HOST_MULTIARCH)/libnss_gns6.so

override_dh_strip:
	dh_strip --dbgsym-migration='gnunet-dbg (<< 0.10.1-5~)'

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/gnunet.init
	rm -rf contrib/gnunet_janitor.py contrib/gnunet_pyexpect.py libltdl/ \
		src/integration-tests/*.py

debian/gnunet.init: debian/gnunet.init.in
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ https://ftp.gnu.org/gnu/gnunet/gnunet-(\d.+).tar.gz
